Subject: Re: bug#63956: 29.0.91; tex-mode display problem in emacs-29

From: Gregory Heytings <[email-masked]>
Date: Sat, 10 Jun 2023 12:55:05 +0000

>
> I don't know why this happens, perhaps due to differences in Git 
> versions?  I'm guessing you have some non-trivial setup of your email 
> address for Git or something?  The @amazon.com address wasn't just 
> concocted by my Git client out of thin air, right?
>
> I tried on 2 other systems.  One of them, with Git v2.34.1 reports what 
> you see; the other, with Git 2.17.1, reports what I see.
>

The difference is that since Git 2.23.0 "git log" behaves by default as if 
the --mailmap option was given, which uses the correspondence in the 
.mailmap file.  The actual author of commit 18b680cfd1 is [email-masked], 
but because of the line

Sam Steingold <[email-masked]> <[email-masked]>

in the .mailmap file the author is displayed as [email-masked].